require "rails_helper"

RSpec.describe AppCatalog::WebAppIconComponent, type: :component do
  describe "No web app given" do
    it "renders the default icon" do
      expect(
        render_inline(described_class.new(web_app: nil)) {}.to_html
      ).to include("icon-remotestorage")
    end
  end
end
